This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 639291 - Review Request: erlang-mustache - Mustache template engine for Erlang
Review Request: erlang-mustache - Mustache template engine for Erlang
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Niemueller
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 639263
  Show dependency treegraph
 
Reported: 2010-10-01 07:52 EDT by Peter Lemenkov
Modified: 2010-11-14 12:28 EST (History)
3 users (show)

See Also:
Fixed In Version: erlang-mustache-0.1.0-2.el5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-06 19:43:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
tim: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Peter Lemenkov 2010-10-01 07:52:08 EDT
Spec URL: http://peter.fedorapeople.org/erlang-mustache.spec
SRPM URL: http://peter.fedorapeople.org/erlang-mustache-0.1.0-1.fc12.src.rpm
Description: An Erlang port of Mustache for Ruby. Mustache is a framework-agnostic templating
system that enforces separation of view logic from the template file. Indeed, it
is not even possible to embed logic in the template. This allows templates to be
reused across language boundaries and for other language independent uses.

This is one of the requirements for erlang-rebar.

rpmlint messages:

Sulaco ~/rpmbuild/SPECS: rpmlint ../RPMS/ppc/erlang-mustache-0.1.0-1.fc12.ppc.rpm 
kojerlang-mustache.ppc: W: spelling-error %description -l en_US templating -> contemplating, template's, template
ierlang-mustache.ppc: E: no-binary
erlang-mustache.ppc: W: only-non-binary-in-usr-lib
1 packages and 0 specfiles checked; 1 errors, 2 warnings.
Sulaco ~/rpmbuild/SPECS:

All these messages should be ignored - first one is just a failse positive, while the rest is due to fact that we're installing arch-independent data (Erlang's VM images) into arch-dependent directory.

Koji scratch build for F-14:
http://koji.fedoraproject.org/koji/taskinfo?taskID=2505964
Comment 1 Tim Niemueller 2010-10-27 18:57:02 EDT
I'll review this.
Comment 2 Tim Niemueller 2010-10-27 19:19:28 EDT
REVIEW: (I'll use your template)

Legend: + = PASSED, - = FAILED, 0 = Not Applicable

+ rpmlint is not silent, but the only its message is a false positive:
  - I suggest changing "templating system" to "template system".
  - only-non-binary-in-usr-lib: general Erlang packaging problem which cannot be avoided in the package

+ The package is named according to the  Package Naming Guidelines.
+ The spec file name matches the base package %{name}, in the format
%{name}.spec.
+ The package meets the Packaging Guidelines.
+ The package is licensed with a Fedora approved license and meets the
Licensing Guidelines.
+ The License field in the package spec file matches the actual license (MIT).
+ The file, containing the text of the license(s) for the package, is included
in %doc.
+ The spec file is written in American English.
+ The spec file for the package is legible.
+ The sources used to build the package, match the upstream source, as provided
in the spec URL.

downloaded# sha256sum mojombo-mustache.erl-v0.1.0-0-g795a15f.tar.gz 
b06910e405e723e20b8924de2f2b7717f8cc3a6902f0d718629d3520897ffe01  mojombo-mustache.erl-v0.1.0-0-g795a15f.tar.gz
package# sha256sum mojombo-mustache.erl-v0.1.0-0-g795a15f.tar.gz 
b06910e405e723e20b8924de2f2b7717f8cc3a6902f0d718629d3520897ffe01  mojombo-mustache.erl-v0.1.0-0-g795a15f.tar.gz

+ The package successfully compiles and builds into binary rpms on at least one
primary architecture.
+ All build dependencies are listed in BuildRequires.
0 No need to handle locales.
0 No shared library files.
+ The package does NOT bundle copies of system libraries.
+ The package is not designed to be relocatable.
+ The package owns all directories that it creates.
+ The package does not list a file more than once in the spec file's %files
listings.
+ Permissions on files are set properly.
+ The package has a %clean section, which contains rm -rf %{buildroot} (or
$RPM_BUILD_ROOT).

- The package consistently uses macros.
You use $RPM_BUILD_ROOT and %{} notation for other macros. Please use %{buildroot}.

+ The package contains code, or permissible content.
+ No extremely large documentation files.
+ Anything, the package includes as %doc, does not affect the runtime of the
application.
0 No header files.
0 No static libraries.
0 No pkgconfig(.pc) files.
0 The package doesn't contain library files with a suffix (e.g. libfoo.so.1.1).
0 No devel sub-package.
+ The package does NOT contain any .la libtool archives.
0 Not a GUI application.
+ The package does not own files or directories already owned by other
packages.
+ At the beginning of %install, the package runs rm -rf %{buildroot} (or
$RPM_BUILD_ROOT).
+ All filenames in rpm packages are valid UTF-8.

Just a minor: the macro usage that should be unified, particularly obvious in the install line. I'll go over the others tomorrow, gotta leave for today. I suspect they might suffer from the same thing, maybe you can have a look at them right away.
Comment 3 Peter Lemenkov 2010-10-28 02:56:15 EDT
All done ("templating" -> "template" and macro usage consistency):

http://peter.fedorapeople.org/erlang-mustache.spec
http://peter.fedorapeople.org/erlang-mustache-0.1.0-2.fc12.src.rpm
Comment 4 Tim Niemueller 2010-10-28 11:40:36 EDT
Looks all good to me now.

APPROVED.
Comment 5 Peter Lemenkov 2010-10-28 12:20:43 EDT
New Package SCM Request
=======================
Package Name: erlang-mustache
Short Description: Mustache template engine for Erlang
Owners: peter
Branches: f12 f13 f14 el5 el6
InitialCC:
Comment 6 Kevin Fenzi 2010-10-28 13:42:19 EDT
Git done (by process-git-requests).
Comment 7 Fedora Update System 2010-10-29 01:25:52 EDT
erlang-mustache-0.1.0-2.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/erlang-mustache-0.1.0-2.fc13
Comment 8 Fedora Update System 2010-10-29 01:25:59 EDT
erlang-mustache-0.1.0-2.fc12 has been submitted as an update for Fedora 12.
https://admin.fedoraproject.org/updates/erlang-mustache-0.1.0-2.fc12
Comment 9 Fedora Update System 2010-10-29 01:26:06 EDT
erlang-mustache-0.1.0-2.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/erlang-mustache-0.1.0-2.el5
Comment 10 Fedora Update System 2010-10-29 01:26:12 EDT
erlang-mustache-0.1.0-2.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/erlang-mustache-0.1.0-2.fc14
Comment 11 Fedora Update System 2010-10-29 12:55:58 EDT
erlang-mustache-0.1.0-2.el5 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update erlang-mustache'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/erlang-mustache-0.1.0-2.el5
Comment 12 Fedora Update System 2010-11-06 19:43:50 EDT
erlang-mustache-0.1.0-2.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2010-11-06 19:44:08 EDT
erlang-mustache-0.1.0-2.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2010-11-06 19:48:50 EDT
erlang-mustache-0.1.0-2.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2010-11-14 12:28:40 EST
erlang-mustache-0.1.0-2.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.